# Class: MoneroBlockHeader

## MoneroBlockHeader(state)

Models a Monero block header which contains information about the block.

## Constructor

#### new MoneroBlockHeader(state)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`state` | MoneroBlockHeader | object | is existing state to initialize from (optional)

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 10

### Methods

#### copy()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 32

#### getCumulativeDifficulty()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 127

#### getDepth()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 109

#### getDifficulty()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 118

#### getHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 44

#### getHeight() → {number}

Return the block's height which is the total number of blocks that have occurred before.

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 58

##### Returns:

the block's height

Type
  number

#### getLongTermWeight()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 100

#### getMajorVersion()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 136

#### getMinerTxHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 163

#### getMinorVersion()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 145

#### getNonce()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 154

#### getNumTxs()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 172

#### getOrphanStatus()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 181

#### getPowHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 208

#### getPrevHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 190

#### getReward()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 199

#### getSize()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 82

#### getTimestamp()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 73

#### getWeight()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 91

#### merge()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 217

#### setCumulativeDifficulty()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 131

#### setDepth()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 113

#### setDifficulty()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 122

#### setHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 48

#### setHeight(height) → {MoneroBlockHeader}

Set the block's height which is the total number of blocks that have occurred before.

##### Parameters:

Name | Type | Description
--- | --- | ---
`height` | number | is the block's height to set

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 68

##### Returns:

a reference to this header for chaining

Type
  MoneroBlockHeader

#### setLongTermWeight()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 104

#### setMajorVersion()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 140

#### setMinerTxHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 167

#### setMinorVersion()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 149

#### setNonce()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 158

#### setNumTxs()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 176

#### setOrphanStatus()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 185

#### setPowHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 212

#### setPrevHash()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 194

#### setReward()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 203

#### setSize()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 86

#### setTimestamp()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 77

#### setWeight()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 95

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 36

#### toString()

Source:
  - src/main/js/daemon/model/MoneroBlockHeader.js, line 240